<?php

use EventPortal\Domain\Comment\Models\Comment;
use EventPortal\Tests\Support\TestModel;
use Faker\Generator;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Comment::class, static function (Generator $faker) {
    return [
        'comment' => $faker->words(20, true),
        'commentable_type' => TestModel::class,
        'commentable_id' => function () {
            return factory(TestModel::class)->create()->id;
        },
        'reason' => $faker->randomElement([
            'Reason One',
            'Reason Two',
            'Reason Three',
        ]),
    ];
});


$factory->state(Comment::class, 'snapshot', static function () {
    return [
        'comment' => 'here is a comment',
    ];
});
