<?php

use EventPortal\Contracts\Event;
use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Util\QuickButtons\Facades\QuickButtons;
use EventPortal\Enums\InertiaMethod;

QuickButtons::make('event-venues.index')
    ->addButtons(function (Event $event) {
        return [
            Button::make('Add venue to event')
                ->method(InertiaMethod::VISIT())
                ->icon('plus')
                ->route('admin.event.venue.create', $event),
            Button::make('Source venue with VenuePot')
                ->method(InertiaMethod::VISIT())
                ->icon('plus')
                ->href('https://drpg.myeventsportal.co.uk/' . config('venues.venue_pot_client')),
        ];
    });
