<?php

use EventPortal\Domain\Util\Sidebar\Facades\Sidebar;
use EventPortal\Domain\Util\Sidebar\Link;
use LaravelFeature\Facade\Feature;

Sidebar::make('primary')
    ->addLinks(function () {
        return [
            Link::make('Events')
                ->icon('calendar')
                ->route('admin.event.index')
                ->permission('event.show'),
            Link::make('Delegates')
                ->when(Feature::isEnabled('delegates'), function ($link): void {
                    $link
                        ->route('admin.delegate.index')
                        ->icon('user-plus')
                        ->permission('delegate.show');
                }),
            Link::make('Admin Users')
                ->icon('users')
                ->route('admin.user.index')
                ->permission('user.show'),
            Link::make('Speakers')
                ->when(Feature::isEnabled('speakers'), function ($link): void {
                    $link
                        ->icon('microphone')
                        ->route('admin.speaker.index')
                        ->permission('speaker.show');
                }),
            Link::make('Venues')
                ->icon('map-pin')
                ->route('admin.venue.index')
                ->permission('venue.show'),
            Link::make('Teams')
                ->icon('settings')
                ->route('admin.team.index')
                ->permission('team.show'),
            Link::make('Permissions')
                ->icon('settings')
                ->route('admin.permission.index')
                ->permission('permission.show'),
        ];
    });
