<?php

namespace EventPortal\Domain\Event\Form\Handlers;

use Closure;
use EventPortal\Domain\Event\Form\Models\Form;
use EventPortal\Domain\Form\Payload;
use Illuminate\Support\Str;

class CreateForm
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $payload->addToInput([
            'uuid' => Str::uuid(),
            'event_id' => $payload->getContext('event')->id,
            'type' => $payload->getArrayValue('type'),
        ]);

        $form = Form::create($payload->getInput());

        $payload->addContext('form', $form);

        return $next($payload);
    }
}
