<?php

namespace EventPortal\Http\Controllers\Delegate\Account;

use EventPortal\Domain\Event\ValueObjects\PageHeader;
use EventPortal\Domain\Form\Facades\Form;
use EventPortal\Domain\Util\DelegateRender;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Inertia\Response;

class AccountController extends Controller
{
    public function __invoke(Request $request): Response
    {
        $detailsForm = Form::make('delegate.account.show')->model($request->user())->render();
        $passwordForm = Form::make('delegate.account.password.edit')->model($request->user())->render();

        return DelegateRender::component('Delegate/Account/Index')
            ->withPageHeader(
                PageHeader::make()
                    ->title("Hi, {$request->user()->full_name}! Welcome to your account.")
                    ->description('View your details.')
            )
            ->withForms([
                'details' => $detailsForm,
                'password' => $passwordForm,
            ])
            ->get();
    }
}
