<?php

namespace EventPortal\Tests\Unit\Comment\Models;

use EventPortal\Domain\Comment\Models\Comment;
use EventPortal\Tests\Support\TestModel;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class CommentTest extends TestCase
{
    use RefreshDatabase;

    /** @test */
    public function comment_saves_with_correct_commentable_type(): void
    {
        $comment = factory(Comment::class)->create([
            'commentable_type' => TestModel::class,
            'commentable_id' => 1,
        ]);

        $this->assertEquals(TestModel::class, $comment->commentable_type);
        $this->assertEquals(1, $comment->commentable_id);
    }
}
