<?php

namespace EventPortal\Tests\Unit\Component\Filter;

use EventPortal\Domain\Component\Filter\DropdownFilter;
use EventPortal\Domain\Component\Option;
use EventPortal\Tests\Support\TestModel;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class DropdownFilterTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function type_is_correct(): void
    {
        $filter = DropdownFilter::make('Type');

        $this->assertSame('Select', $filter->type);
    }

    /** @test **/
    public function can_filter(): void
    {
        $eventA = factory(TestModel::class)->create(['type' => Option::make('Type A')]);
        $eventB = factory(TestModel::class)->create(['type' => Option::make('Type B')]);

        $query = TestModel::query();

        $filter = DropdownFilter::make('Type');

        $query = $filter->lookup->__invoke($query, 'type_b', 'type');

        $actual = $query->get();

        $this->assertNotContainsModel($eventA, $actual);
        $this->assertContainsModel($eventB, $actual);
    }
}
