<?php

namespace EventPortal\Tests\Unit\Event\ValueObjects;

use EventPortal\Domain\Event\ValueObjects\PageHeader;
use EventPortal\Tests\TestCase;

class PageHeaderTest extends TestCase
{
    /** @test **/
    public function can_add_title()
    {
        $pageHeader = PageHeader::make()->title('Page Title');

        $this->assertSame('Page Title', $pageHeader->title);
    }

    /** @test **/
    public function can_add_description()
    {
        $pageHeader = PageHeader::make()->description('Page Description');

        $this->assertSame('Page Description', $pageHeader->description);
    }

    /** @test **/
    public function can_chain_method_calls()
    {
        $pageHeader = PageHeader::make()
            ->title('Page Title')
            ->description('Page Description');

        $this->assertSame('Page Title', $pageHeader->title);
        $this->assertSame('Page Description', $pageHeader->description);
    }
}
